import request from '@/utils/request'

// 查询门店地址校验管理列表
export function listStoreAddressCheck(query) {
  return request({
    url: '/sfa/storeAddressCheck/list',
    method: 'get',
    params: query
  })
}

// 查询门店地址校验管理详细
export function getStoreAddressCheck(storeAddressId) {
  return request({
    url: '/sfa/storeAddressCheck/' + storeAddressId,
    method: 'get'
  })
}

// 新增门店地址校验管理
export function addStoreAddressCheck(data) {
  return request({
    url: '/sfa/storeAddressCheck',
    method: 'post',
    data: data
  })
}

// 修改门店地址校验管理
export function updateStoreAddressCheck(data) {
  return request({
    url: '/sfa/storeAddressCheck',
    method: 'put',
    data: data
  })
}


// 修改门店地址规范状态为已处理
export function updateStoreAddressState(storeAddressId) {
  return request({
    url: '/sfa/storeAddressCheck/updateStoreAddressState/'+ storeAddressId,
    method: 'get'
  })
}

// 删除门店地址校验管理
export function delStoreAddressCheck(storeAddressId) {
  return request({
    url: '/sfa/storeAddressCheck/' + storeAddressId,
    method: 'delete'
  })
}
